Bug 544230 - vmware can't detect running xorg server
Summary: vmware can't detect running xorg server
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-04 10:01 UTC by nucleo
Modified: 2010-12-04 02:15 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-12-04 02:15:13 UTC


Attachments (Terms of Use)
xorg.conf (1.95 KB, text/plain)
2009-12-04 10:01 UTC, nucleo
no flags Details
dmesg (32.17 KB, text/plain)
2009-12-04 10:02 UTC, nucleo
no flags Details
Xorg.0.log (10.12 KB, text/plain)
2009-12-04 10:03 UTC, nucleo
no flags Details

Description nucleo 2009-12-04 10:01:56 UTC
Created attachment 376046 [details]
xorg.conf

After installing xorg-x11-server 1.7.1-12 from bug 533620
I have some problems in VMwareWorkstation-5.5.9.
When virtual machine  starting:

A language-specific mapping from X keysyms to machine scancodes will be used,
based on the detected keyboard type of "us101", because you are not using an
XFree86 server running on the local machine.
However, this program's language-specific mapping may not be correct for your
keyboard in all the details, because X keyboard mappings vary.
You can override specific key mappings in the virtual-machine configuration.

When switching virtual machine to full screen mode:

Unable to find an appropriate host video mode.
Adding the guest mode to the 'display' subsection of the 'screen' section of
your /etc/X11/XF86Config or /etc/X11/xorg.conf and restarting X is likely to
help.
Failed to switch to full screen SVGA mode.

xorg-x11-server-1.7.1-7.fc12.2.rex from
http://rdieter.fedorapeople.org/repo/fedora/12/i386/
don't have problems with vmware.

Comment 1 nucleo 2009-12-04 10:02:23 UTC
Created attachment 376047 [details]
dmesg

Comment 2 nucleo 2009-12-04 10:03:01 UTC
Created attachment 376048 [details]
Xorg.0.log

Comment 3 nucleo 2009-12-08 16:04:43 UTC
The same problem with xorg-x11-server-1.7.3-1.fc12

Comment 4 Peter Hutterer 2009-12-18 06:35:22 UTC
Does it work without the nvidia binary driver?

ajax, reassigning to you, changes between 1.7.1-7 and 1.7.1-12 are your metier

Comment 5 nucleo 2009-12-18 19:01:19 UTC
With vesa driver and xorg-x11-server-1.7.3 vmware have the same problems as with nvidia driver.
With xorg-x11-server-1.7.1-7.fc12.2.rex no problems in vmware both with vesa and nvidia drivers.

Comment 6 nucleo 2010-01-08 14:20:21 UTC
The problem still is in xorg-x11-server-1.7.4-1.fc12

Comment 7 nucleo 2010-01-08 15:41:23 UTC
At first this problem appears in xorg-x11-server-1.7.1-10.fc12 where --with-vendor-name="Fedora Project" was added.

I rebuild xorg-x11-server-1.7.4-1.fc12 without --with-vendor-name="Fedora Project"
http://koji.fedoraproject.org/koji/taskinfo?taskID=1909516

Now vmware can detect xorg server.

Comment 8 Constantine Gavrilov 2010-06-21 19:46:29 UTC
The problem still persist with latest updates to Fedora 12 but there is a workaround against this problem.

Add the following line to ~/.vmware/preferences

xinfo.forceXFree86 = "TRUE"


This overrides vmware detection of xorg and keys work as expected.

I have tested this with vmware server 1.0.8 and 1.0.10 and according to the docs, this should work with other vmware products as well.

Comment 9 Constantine Gavrilov 2010-06-21 19:47:47 UTC
Just to make it clear -- full screen works as well when setting xinfo.forceXFree86 = "TRUE"

Comment 10 nucleo 2010-06-22 00:18:13 UTC
(In reply to comment #9)
> Just to make it clear -- full screen works as well when setting
> xinfo.forceXFree86 = "TRUE"    

I confirm that fullscreen mode with this settig works for me too.

Comment 11 Bug Zapper 2010-11-04 04:23:36 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2010-12-04 02:15:13 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.